import request from '@/utils/request'

// 查询资讯视频列表
export function listBWwwNewsVideo(query) {
  return request({
    url: '/back/bWwwNewsVideo/list',
    method: 'get',
    params: query
  })
}

// 查询资讯视频详细
export function getBWwwNewsVideo(id) {
  return request({
    url: '/back/bWwwNewsVideo/' + id,
    method: 'get'
  })
}

// 新增资讯视频
export function addBWwwNewsVideo(data) {
  return request({
    url: '/back/bWwwNewsVideo',
    method: 'post',
    data: data
  })
}

// 修改资讯视频
export function updateBWwwNewsVideo(data) {
  return request({
    url: '/back/bWwwNewsVideo',
    method: 'put',
    data: data
  })
}

// 删除资讯视频
export function delBWwwNewsVideo(id) {
  return request({
    url: '/back/bWwwNewsVideo/' + id,
    method: 'delete'
  })
}
